Response to the Shared Request

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
POST /responseRequestedDataflow/dataflows/{dataflowId}

Response to the Shared Request by the Owner.

Path parameters

  • dataflowId string Required

    id of the Dataflow

application/json

Body

  • action number

    approve/reject the request (1 is for approve and -1 is for reject)

  • entity_id string

    entity Id of the requested user

  • expired_time number

    expiration Time for sharing (in hours). Do not include this field for no expiration Time

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • success number

      success is 1 when request is completed

POST /responseRequestedDataflow/dataflows/{dataflowId}
curl \
 --request POST 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/responseRequestedDataflow/dataflows/{dataflowId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '"{\n  \"action\": 1,\n  \"entityId\": \"5684058f159fffbe29ff9912\",\n  \"expiredTime\": 24\n}"'
Request example
{
  "action": 1,
  "entityId": "5684058f159fffbe29ff9912",
  "expiredTime": 24
}
Response examples (200)
{
  "success": 0
}